"{ Encoding: utf8 }"

"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBObject subclass:#GDBThreadInfo
	instanceVariableNames:'id target_id frame state'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Private-Model'
!

!GDBThreadInfo class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#'id' as:Integer;
        define:#'target-id' as:String;
        "/ define:#'frame' as: GDBFrame
        define:#'state' as: String
        yourself

    "Created: / 06-09-2014 / 02:21:07 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 08-03-2015 / 08:27:08 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadInfo methodsFor:'accessing'!

id
    ^ id
!

state
    ^ state
!

targetId
    ^ target_id

    "Created: / 08-03-2015 / 08:39:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadInfo methodsFor:'accessing-private'!

_state: aString
    state := GDBThreadState fromString: aString

    "Created: / 08-03-2015 / 08:35:01 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadInfo methodsFor:'initialization'!

setId: idArg state: stateArg
    id := idArg.
    state := stateArg

    "Created: / 08-03-2015 / 10:27:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

